curl --location --request POST 'https://api.qnaigc.com/bypass/anthropic/v1/messages' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "string",
"max_tokens": 0,
"messages": [
{
"role": "user",
"content": "string"
}
],
"system": "string",
"thinking": {
"type": "enabled",
"budget_tokens": 0,
"display": "summarized"
},
"tools": [
{
"name": "string",
"description": "string",
"input_schema": {
"type": "object",
"properties": {
"property1": "string",
"property2": "string"
},
"required": [
"string"
]
}
}
],
"tool_choice": {
"type": "auto",
"name": "string",
"disable_parallel_tool_use": true
},
"output_config": {
"effort": "low",
"format": {
"type": "json_schema",
"schema": {}
}
},
"temperature": 0,
"top_p": 0,
"top_k": 0,
"stream": true,
"stop_sequences": [
"string"
],
"cache_control": {
"type": "ephemeral",
"ttl": "5m"
},
"service_tier": "auto",
"metadata": {
"user_id": "string"
},
"container": "string",
"inference_geo": "string"
}'{
"id": "string",
"type": "message",
"role": "assistant",
"model": "string",
"content": [
{
"type": "text",
"text": "string",
"citations": [
{
"type": "char_location",
"cited_text": "string"
}
],
"thinking": "string",
"signature": "string",
"data": "string",
"id": "string",
"name": "string",
"input": {},
"caller": {
"type": "string"
},
"file_id": "string"
}
],
"stop_reason": "end_turn",
"stop_sequence": "string",
"usage": {
"input_tokens": 0,
"output_tokens": 0,
"cache_creation_input_tokens": 0,
"cache_read_input_tokens": 0,
"cache_creation": {
"ephemeral_5m_input_tokens": 0,
"ephemeral_1h_input_tokens": 0
},
"inference_geo": "string",
"service_tier": "standard",
"server_tool_use": {
"web_search_requests": 0,
"web_fetch_requests": 0
}
},
"container": {
"id": "string",
"expires_at": "string"
}
}